com.holonplatform.vaadin.flow.components.builders

## Interface HasPatternConfigurator<C extends HasPatternConfigurator<C>>

- Type Parameters:
    `C` - Concrete configurator type
  All Known Subinterfaces:
    LocalTimeInputBuilder, LocalTimeInputConfigurator<C>, NumberInputBuilder<T>, NumberInputConfigurator<T,C>, PasswordInputBuilder, PasswordInputConfigurator<C>, SelectModeSingleSelectInputBuilder<T,ITEM,B>, SelectModeSingleSelectInputBuilder.DatastoreItemSelectModeSingleSelectInputBuilder<T,ITEM>, SelectModeSingleSelectInputBuilder.DatastoreItemSelectModeSingleSelectInputConfigurator<T,ITEM,C>, SelectModeSingleSelectInputBuilder.DatastorePropertySelectModeSingleSelectInputBuilder<T>, SelectModeSingleSelectInputBuilder.DatastorePropertySelectModeSingleSelectInputConfigurator<T,C>, SelectModeSingleSelectInputBuilder.ItemSelectModeSingleSelectInputBuilder<T,ITEM>, SelectModeSingleSelectInputBuilder.ItemSelectModeSingleSelectInputConfigurator<T,ITEM,D,C>, SelectModeSingleSelectInputBuilder.PropertySelectModeSingleSelectInputBuilder<T>, SelectModeSingleSelectInputBuilder.PropertySelectModeSingleSelectInputConfigurator<T,D,C>, SelectModeSingleSelectInputBuilder.ValidatableDatastoreItemSelectModeSingleSelectInputBuilder<T,ITEM>, SelectModeSingleSelectInputBuilder.ValidatableDatastorePropertySelectModeSingleSelectInputBuilder<T>, SelectModeSingleSelectInputBuilder.ValidatableItemSelectModeSingleSelectInputBuilder<T,ITEM>, SelectModeSingleSelectInputBuilder.ValidatablePropertySelectModeSingleSelectInputBuilder<T>, StringInputBuilder, StringInputConfigurator<C>, ValidatableLocalTimeInputBuilder, ValidatableNumberInputBuilder<T>, ValidatablePasswordInputBuilder, ValidatableStringInputBuilder

      public interface HasPatternConfigurator<C extends HasPatternConfigurator<C>>

  Configurator for components which supports an input pattern.
  Since:
    5.2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `C` | `pattern(String pattern)` A regular expression that the value is checked against.
    `default C` | `preventInvalidInput()` Set that the user is prevented from typing a value that conflicts with the pattern configured through `pattern(String)`.
    `C` | `preventInvalidInput(boolean preventInvalidInput)` When set to true, user is prevented from typing a value that conflicts with the pattern configured through `pattern(String)`.

- - ### Method Detail

    - #### pattern

          C pattern(String pattern)

      A regular expression that the value is checked against. The pattern must match the entire value, not just some subset.
      Parameters:
        `pattern` - the value to set
      Returns:
        this

    - #### preventInvalidInput

          C preventInvalidInput(boolean preventInvalidInput)

      When set to true, user is prevented from typing a value that conflicts with the pattern configured through `pattern(String)`.
      Parameters:
        `preventInvalidInput` - the value to set
      Returns:
        this

    - #### preventInvalidInput

          default C preventInvalidInput()

      Set that the user is prevented from typing a value that conflicts with the pattern configured through `pattern(String)`.
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.